Bug 92001 - FILESAVE: Arrows turned into Triangles
Summary: FILESAVE: Arrows turned into Triangles
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.2.7.2 release
Hardware: Other All
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta4
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-06-11 06:30 UTC by Luke
Modified: 2016-10-25 19:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Simple arrow example (9.40 KB, application/vnd.oasis.opendocument.text)
2015-06-11 06:30 UTC, Luke
Details
In Writer 5.1 Arrow transformed into triangle (5.61 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-06-11 06:31 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2015-06-11 06:30:42 UTC
Created attachment 116462 [details]
Simple arrow example

Steps to reproduce:
1. In Writer or Impress insert an arrow shape
2. Save as DOCX or PPTX
Comment 1 Luke 2015-06-11 06:31:16 UTC
Created attachment 116463 [details]
In Writer 5.1 Arrow transformed into triangle
Comment 2 MM 2015-06-12 00:02:23 UTC
Confirmed with v4.4.4.1 under windows 7 x64.
Confirmed with v3.3.4 under windows 7 x64.
Confirmed with v5.0.0.0 b3 under mint 17.1 x64.

Saving a 'blocked arrow' never seems to have been saved correctly with pptx.
Comment 3 Luke 2015-06-12 03:33:29 UTC
This is a regression. 4.2.7.2( and some 4.3.x ) correctly export arrows.
Comment 4 Luke 2015-06-12 03:37:14 UTC
Adding Andras whose been improving the DrawingML export filters.
Comment 5 MM 2015-06-12 11:23:12 UTC
(In reply to Luke from comment #3)
> This is a regression. 4.2.7.2( and some 4.3.x ) correctly export arrows.

Well, i've tried it on 3.3.4 (and gooo 3.2) and the output is also broken. read: the arrow is flattened. But still a broken arrow.
Comment 6 Commit Notification 2015-06-12 13:05:18 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7dee641f675e7f472f5bec39cb92a1422fd1ffee

tdf#92001 'Handles' contains array of PropertyValues

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-06-12 14:24:20 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9be601f70dc824120b2944d421906d5ec9566b1d&h=libreoffice-5-0

tdf#92001 'Handles' contains array of PropertyValues

It will be available in 5.0.0.0.beta4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.